Cassandra.AsyncClient (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.AsyncClient

    java.lang.Object
      org.apache.thrift.async.TAsyncClient
          org.apache.cassandra.thrift.Cassandra.AsyncClient

All Implemented Interfaces:
  Cassandra.AsyncIface

Enclosing class:
  Cassandra

    public static class Cassandra.AsyncClient

extends org.apache.thrift.async.TAsyncClient
implements Cassandra.AsyncIface

Nested Class Summary
`static class` | `Cassandra.AsyncClient.add_call`
`static class` | `Cassandra.AsyncClient.batch_mutate_call`
`static class` | `Cassandra.AsyncClient.describe_cluster_name_call`
`static class` | `Cassandra.AsyncClient.describe_keyspace_call`
`static class` | `Cassandra.AsyncClient.describe_keyspaces_call`
`static class` | `Cassandra.AsyncClient.describe_partitioner_call`
`static class` | `Cassandra.AsyncClient.describe_ring_call`
`static class` | `Cassandra.AsyncClient.describe_schema_versions_call`
`static class` | `Cassandra.AsyncClient.describe_snitch_call`
`static class` | `Cassandra.AsyncClient.describe_splits_call`
`static class` | `Cassandra.AsyncClient.describe_version_call`
`static class` | `Cassandra.AsyncClient.execute_cql_query_call`
`static class` | `Cassandra.AsyncClient.Factory`
`static class` | `Cassandra.AsyncClient.get_call`
`static class` | `Cassandra.AsyncClient.get_count_call`
`static class` | `Cassandra.AsyncClient.get_indexed_slices_call`
`static class` | `Cassandra.AsyncClient.get_range_slices_call`
`static class` | `Cassandra.AsyncClient.get_slice_call`
`static class` | `Cassandra.AsyncClient.insert_call`
`static class` | `Cassandra.AsyncClient.login_call`
`static class` | `Cassandra.AsyncClient.multiget_count_call`
`static class` | `Cassandra.AsyncClient.multiget_slice_call`
`static class` | `Cassandra.AsyncClient.remove_call`
`static class` | `Cassandra.AsyncClient.remove_counter_call`
`static class` | `Cassandra.AsyncClient.set_keyspace_call`
`static class` | `Cassandra.AsyncClient.system_add_column_family_call`
`static class` | `Cassandra.AsyncClient.system_add_keyspace_call`
`static class` | `Cassandra.AsyncClient.system_drop_column_family_call`
`static class` | `Cassandra.AsyncClient.system_drop_keyspace_call`
`static class` | `Cassandra.AsyncClient.system_update_column_family_call`
`static class` | `Cassandra.AsyncClient.system_update_keyspace_call`
`static class` | `Cassandra.AsyncClient.truncate_call`

Field Summary

Fields inherited from class org.apache.thrift.async.TAsyncClient
`currentMethod, manager, protocolFactory, transport`

Constructor Summary
`Cassandra.AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.async.TAsyncClientManager clientManager, org.apache.thrift.transport.TNonblockingTransport transport)`

Method Summary
`void` | `add(java.nio.ByteBuffer key, ColumnParent column_parent, CounterColumn column, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.add_call> resultHandler)`
`void` | `batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.batch_mutate_call> resultHandler)`
`void` | `describe_cluster_name(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_cluster_name_call> resultHandler)`
`void` | `describe_keyspace(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_keyspace_call> resultHandler)`
`void` | `describe_keyspaces(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_keyspaces_call> resultHandler)`
`void` | `describe_partitioner(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_partitioner_call> resultHandler)`
`void` | `describe_ring(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_ring_call> resultHandler)`
`void` | `describe_schema_versions(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_schema_versions_call> resultHandler)`
`void` | `describe_snitch(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_snitch_call> resultHandler)`
`void` | `describe_splits(java.lang.String cfName, java.lang.String start_token, java.lang.String end_token, int keys_per_split, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_splits_call> resultHandler)`
`void` | `describe_version(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_version_call> resultHandler)`
`void` | `execute_cql_query(java.nio.ByteBuffer query, Compression compression, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.execute_cql_query_call> resultHandler)`
`void` | `get_count(java.nio.ByteBuffer key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_count_call> resultHandler)`
`void` | `get_indexed_slices(ColumnParent column_parent, IndexClause index_clause, SlicePredicate column_predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_indexed_slices_call> resultHandler)`
`void` | `get_range_slices(ColumnParent column_parent, SlicePredicate predicate, KeyRange range, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_range_slices_call> resultHandler)`
`void` | `get_slice(java.nio.ByteBuffer key, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_slice_call> resultHandler)`
`void` | `get(java.nio.ByteBuffer key, ColumnPath column_path, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_call> resultHandler)`
`void` | `insert(java.nio.ByteBuffer key, ColumnParent column_parent, Column column, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.insert_call> resultHandler)`
`void` | `login(AuthenticationRequest auth_request, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.login_call> resultHandler)`
`void` | `multiget_count(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.multiget_count_call> resultHandler)`
`void` | `multiget_slice(java.util.List<java.nio.ByteBuffer> keys, ColumnParent column_parent, SlicePredicate predicate, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.multiget_slice_call> resultHandler)`
`void` | `remove_counter(java.nio.ByteBuffer key, ColumnPath path, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.remove_counter_call> resultHandler)`
`void` | `remove(java.nio.ByteBuffer key, ColumnPath column_path, long timestamp, ConsistencyLevel consistency_level, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.remove_call> resultHandler)`
`void` | `set_keyspace(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.set_keyspace_call> resultHandler)`
`void` | `system_add_column_family(CfDef cf_def, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_add_column_family_call> resultHandler)`
`void` | `system_add_keyspace(KsDef ks_def, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_add_keyspace_call> resultHandler)`
`void` | `system_drop_column_family(java.lang.String column_family, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_drop_column_family_call> resultHandler)`
`void` | `system_drop_keyspace(java.lang.String keyspace, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_drop_keyspace_call> resultHandler)`
`void` | `system_update_column_family(CfDef cf_def, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_update_column_family_call> resultHandler)`
`void` | `system_update_keyspace(KsDef ks_def, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_update_keyspace_call> resultHandler)`
`void` | `truncate(java.lang.String cfname, org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.truncate_call> resultHandler)`

Methods inherited from class org.apache.thrift.async.TAsyncClient
`checkReady, getError, getProtocolFactory, getTimeout, hasError, hasTimeout, onComplete, onError, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cassandra.AsyncClient

    public Cassandra.AsyncClient(org.apache.thrift.protocol.TProtocolFactory protocolFactory,
                                 org.apache.thrift.async.TAsyncClientManager clientManager,
                                 org.apache.thrift.transport.TNonblockingTransport transport)

Method Detail

### login

    public void login(AuthenticationRequest auth_request,
                      org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.login_call> resultHandler)
               throws org.apache.thrift.TException

  Specified by:
    `login` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### set_keyspace

    public void set_keyspace(java.lang.String keyspace,
                             org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.set_keyspace_call> resultHandler)
                      throws org.apache.thrift.TException

  Specified by:
    `set_keyspace` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### get

    public void get(java.nio.ByteBuffer key,
                    ColumnPath column_path,
                    ConsistencyLevel consistency_level,
                    org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_call> resultHandler)
             throws org.apache.thrift.TException

  Specified by:
    `get` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### get_slice

    public void get_slice(java.nio.ByteBuffer key,
                          ColumnParent column_parent,
                          SlicePredicate predicate,
                          ConsistencyLevel consistency_level,
                          org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_slice_call> resultHandler)
                   throws org.apache.thrift.TException

  Specified by:
    `get_slice` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### get_count

    public void get_count(java.nio.ByteBuffer key,
                          ColumnParent column_parent,
                          SlicePredicate predicate,
                          ConsistencyLevel consistency_level,
                          org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_count_call> resultHandler)
                   throws org.apache.thrift.TException

  Specified by:
    `get_count` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### multiget_slice

    public void multiget_slice(java.util.List<java.nio.ByteBuffer> keys,
                               ColumnParent column_parent,
                               SlicePredicate predicate,
                               ConsistencyLevel consistency_level,
                               org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.multiget_slice_call> resultHandler)
                        throws org.apache.thrift.TException

  Specified by:
    `multiget_slice` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### multiget_count

    public void multiget_count(java.util.List<java.nio.ByteBuffer> keys,
                               ColumnParent column_parent,
                               SlicePredicate predicate,
                               ConsistencyLevel consistency_level,
                               org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.multiget_count_call> resultHandler)
                        throws org.apache.thrift.TException

  Specified by:
    `multiget_count` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### get_range_slices

    public void get_range_slices(ColumnParent column_parent,
                                 SlicePredicate predicate,
                                 KeyRange range,
                                 ConsistencyLevel consistency_level,
                                 org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_range_slices_call> resultHandler)
                          throws org.apache.thrift.TException

  Specified by:
    `get_range_slices` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### get_indexed_slices

    public void get_indexed_slices(ColumnParent column_parent,
                                   IndexClause index_clause,
                                   SlicePredicate column_predicate,
                                   ConsistencyLevel consistency_level,
                                   org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.get_indexed_slices_call> resultHandler)
                            throws org.apache.thrift.TException

  Specified by:
    `get_indexed_slices` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### insert

    public void insert(java.nio.ByteBuffer key,
                       ColumnParent column_parent,
                       Column column,
                       ConsistencyLevel consistency_level,
                       org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.insert_call> resultHandler)
                throws org.apache.thrift.TException

  Specified by:
    `insert` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### add

    public void add(java.nio.ByteBuffer key,
                    ColumnParent column_parent,
                    CounterColumn column,
                    ConsistencyLevel consistency_level,
                    org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.add_call> resultHandler)
             throws org.apache.thrift.TException

  Specified by:
    `add` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### remove

    public void remove(java.nio.ByteBuffer key,
                       ColumnPath column_path,
                       long timestamp,
                       ConsistencyLevel consistency_level,
                       org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.remove_call> resultHandler)
                throws org.apache.thrift.TException

  Specified by:
    `remove` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### remove_counter

    public void remove_counter(java.nio.ByteBuffer key,
                               ColumnPath path,
                               ConsistencyLevel consistency_level,
                               org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.remove_counter_call> resultHandler)
                        throws org.apache.thrift.TException

  Specified by:
    `remove_counter` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### batch_mutate

    public void batch_mutate(java.util.Map<java.nio.ByteBuffer,java.util.Map<java.lang.String,java.util.List<Mutation>>> mutation_map,
                             ConsistencyLevel consistency_level,
                             org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.batch_mutate_call> resultHandler)
                      throws org.apache.thrift.TException

  Specified by:
    `batch_mutate` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### truncate

    public void truncate(java.lang.String cfname,
                         org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.truncate_call> resultHandler)
                  throws org.apache.thrift.TException

  Specified by:
    `truncate` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### describe_schema_versions

    public void describe_schema_versions(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_schema_versions_call> resultHandler)
                                  throws org.apache.thrift.TException

  Specified by:
    `describe_schema_versions` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### describe_keyspaces

    public void describe_keyspaces(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_keyspaces_call> resultHandler)
                            throws org.apache.thrift.TException

  Specified by:
    `describe_keyspaces` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### describe_cluster_name

    public void describe_cluster_name(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_cluster_name_call> resultHandler)
                               throws org.apache.thrift.TException

  Specified by:
    `describe_cluster_name` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### describe_version

    public void describe_version(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_version_call> resultHandler)
                          throws org.apache.thrift.TException

  Specified by:
    `describe_version` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### describe_ring

    public void describe_ring(java.lang.String keyspace,
                              org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_ring_call> resultHandler)
                       throws org.apache.thrift.TException

  Specified by:
    `describe_ring` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### describe_partitioner

    public void describe_partitioner(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_partitioner_call> resultHandler)
                              throws org.apache.thrift.TException

  Specified by:
    `describe_partitioner` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### describe_snitch

    public void describe_snitch(org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_snitch_call> resultHandler)
                         throws org.apache.thrift.TException

  Specified by:
    `describe_snitch` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### describe_keyspace

    public void describe_keyspace(java.lang.String keyspace,
                                  org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_keyspace_call> resultHandler)
                           throws org.apache.thrift.TException

  Specified by:
    `describe_keyspace` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### describe_splits

    public void describe_splits(java.lang.String cfName,
                                java.lang.String start_token,
                                java.lang.String end_token,
                                int keys_per_split,
                                org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.describe_splits_call> resultHandler)
                         throws org.apache.thrift.TException

  Specified by:
    `describe_splits` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### system_add_column_family

    public void system_add_column_family(CfDef cf_def,
                                         org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_add_column_family_call> resultHandler)
                                  throws org.apache.thrift.TException

  Specified by:
    `system_add_column_family` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### system_drop_column_family

    public void system_drop_column_family(java.lang.String column_family,
                                          org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_drop_column_family_call> resultHandler)
                                   throws org.apache.thrift.TException

  Specified by:
    `system_drop_column_family` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### system_add_keyspace

    public void system_add_keyspace(KsDef ks_def,
                                    org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_add_keyspace_call> resultHandler)
                             throws org.apache.thrift.TException

  Specified by:
    `system_add_keyspace` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### system_drop_keyspace

    public void system_drop_keyspace(java.lang.String keyspace,
                                     org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_drop_keyspace_call> resultHandler)
                              throws org.apache.thrift.TException

  Specified by:
    `system_drop_keyspace` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### system_update_keyspace

    public void system_update_keyspace(KsDef ks_def,
                                       org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_update_keyspace_call> resultHandler)
                                throws org.apache.thrift.TException

  Specified by:
    `system_update_keyspace` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### system_update_column_family

    public void system_update_column_family(CfDef cf_def,
                                            org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.system_update_column_family_call> resultHandler)
                                     throws org.apache.thrift.TException

  Specified by:
    `system_update_column_family` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

### execute_cql_query

    public void execute_cql_query(java.nio.ByteBuffer query,
                                  Compression compression,
                                  org.apache.thrift.async.AsyncMethodCallback<Cassandra.AsyncClient.execute_cql_query_call> resultHandler)
                           throws org.apache.thrift.TException

  Specified by:
    `execute_cql_query` in interface `Cassandra.AsyncIface`
  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation